fann_duplicate_train_data
fann_get_activation_steepness
Fann Functions
PHP Manual

# fann_get_activation_function

Returns the activation function

### Description

int fann_get_activation_function ( resource `$ann` , int `$layer` , int `$neuron` )

Get the activation function for neuron number neuron in layer number layer, counting the input layer as layer 0.

It is not possible to get activation functions for the neurons in the input layer.

The return value is one of the activation functions constants.

### Parameters

`ann`

  Neural network resource.

`layer`

  Layer number.

`neuron`

  Neuron number.

### Return Values

Learning functions constant or -1 if the neuron is not defined in the neural network, or `FALSE` on error.

### See Also

- fann_set_activation_function_layer
- fann_set_activation_function_hidden
- fann_set_activation_function_output
- fann_set_activation_steepness
- fann_set_activation_function